SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Dia Vendors:   Gnome Development Team
Dia Format String Bugs May Let Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016203
SecurityTracker URL:  http://securitytracker.com/id/1016203
CVE Reference:   CVE-2006-2453, CVE-2006-2480   (Links to External Site)
Date:  Jun 2 2006
Impact:   Execution of arbitrary code via network, User access via network

Version(s): 0.95, possibly other versions
Description:   A vulnerability was reported in Dia. A remote user may be able to cause arbitrary code to be executed on the target user's system.

A remote user can create a file with a specially crafted filename. When the target user opens the file using Dia, a format string flaw will be triggered and arbitrary code may be executed [CVE-2006-2480]. KaDaL-X reported this vulnerability.

Other format string vulnerabilities also exist [CVE-2006-2453]. Hans de Goede discovered these vulnerabilities.

Impact:   A remote user can create a file that, when processed by the target user with Dia, will cause arbitrary code to be executed on the target user's system.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.gnome.org/projects/dia/ (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jun 2 2006 (Red Hat Issues Fix) Dia Format String Bugs May Let Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 4.



 Source Message Contents

Date:  Thu, 1 Jun 2006 23:14:18 -0400
Subject:  Dia format string vulnerabilities.


CVE-2006-2453
CVE-2006-2480
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC